Cyberduck Mountain Duck CLI

#10193 closed defect (worksforme)

FTP doesn't connect

Reported by: f000k Owned by:
Priority: highest Milestone: 6.4.0
Component: ftp Version: 6.3.4
Severity: blocker Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

Cyberduck doesn't send the USER and PASSWORD commands to any server and connections fail on my Macbook (Sierra)

I tried both passive and active connection modes. Also unchecked Keychain from preferences. Still no joy.

220---------- Welcome to Pure-FTPd [privsep] [TLS] ----------
220-You are user number 2 of 50 allowed.
220-Local time is now 01:13. Server port: 21.
220-This is a private system - No anonymous login
220-IPv6 connections are also welcome on this server.
220 You will be disconnected after 15 minutes of inactivity.
FEAT

Same connection works fine on other FTP clients on the same machine. On my other Mac and I can see the USER and PASSWORD before FEAT command.

Change History (9)

comment:1 Changed on Jan 12, 2018 at 1:25:48 AM by f000k

  • Description modified (diff)

comment:2 Changed on Jan 24, 2018 at 2:44:00 PM by dkocher

  • Description modified (diff)

comment:3 Changed on Jan 24, 2018 at 2:45:21 PM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

We are determining the features of the server prior logging in. It looks like a configuration issue on the server if no reply is received for the FEAT command.

comment:4 Changed on Jan 24, 2018 at 2:48:37 PM by f000k

  • Resolution thirdparty deleted
  • Status changed from closed to reopened

comment:5 Changed on Jan 24, 2018 at 3:03:32 PM by f000k

It is not the server configuration. This doesn't explain how it would work on other clients and on other Cyberduck installations.

It sends the FEAT command before USER and PASSWORD. Same credentials work on the other machine.

I have access to more than 100 FTP servers and none of them works with Cyberduck, while other FTP clients have no issue connecting.

comment:6 Changed on Feb 3, 2018 at 7:54:17 PM by dkocher

Is it possible to get a temporary account for testing to allow us to reproduce the issue? Please write to support@… and do not share any credentials in the public bug tracker.

comment:7 Changed on Feb 3, 2018 at 7:54:23 PM by dkocher

  • Milestone set to 6.4.0

comment:8 Changed on Feb 12, 2018 at 2:56:40 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

comment:9 Changed on Aug 13, 2018 at 11:46:05 AM by elmimmo

The same is happening to me on 6.7.0 running on macOS 10.12.6. The Log Drawer just reports the server's welcome message and CyberDuck's «FEAT» answer. It happens with any FTP server I try to connect to.

Note: See TracTickets for help on using tickets.
swiss made software